Subject: RE: [mpls] One week last-last call on Soft Preemption

From: "Balaji, Hemanth" <[email-masked]>
Date: Tue, 21 Jun 2005 11:02:44 +0530

Hi,

 Can anyone explain, how the following situation is handled ( be it
needed to ) by the soft-preemption draft.

R0--1000--R1---1000----R2        LSP1:                        LSP2:    
          |                      BW Req: 500                  BW Req:
600   
          |                      Priority(Hold): 7
Priority(Setup): 6 
          |                       R0-->R1
R1<--R2     
          |                            |                          |

         1000                          V                          V

          |                            R4                         R4

          |          
          |        
          R4

BW Req : Bandwidth requirement.

1) Initially LSP1 is UP. Soft preemption desired flag is set.

2) Now R1 gets a new resquest for LSP2. ( which requires LSP1 to be
preempted, softpreempted in this case)

3) Let us assume the following situation.

   > Before R1 notifies R0 about the preemption.
   > R0 changes its BW Req to 400 and sends out its first new path
message.
   > The first Resv msg from R1 that R0 receives has (will have-due to 
     step 2) the preemption pending flag set.

Now, what will the behavior be in this case, will this situation make
any difference?

Ideally, R0 should not attempt a make before break and look for an
allternate path, since the new BW requirement ( 400(7) + 600(6) )
can be satisfied along the same path ( R0-R1-R4).

Regards,
Hemanth.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
On Behalf Of Adrian Farrel
Sent: Tuesday, June 21, 2005 3:57 AM
To: George Swallow; [email-masked]
Subject: Re: [mpls] One week last-last call on Soft Preemption

Hi George,

I don't think the soft preemption last call review is fresh in mind.
This
may be unreasonable of me because it was held less than a year ago
(exactly one day less than a year ago). Nor are the changes made in the
last three revisions of the I-D obvious since they were made without any
comment on the mailing list. And it wasn't even obvious until quite
recently that the I-D was still alive since it was allowed to expire.

So, you'll excuse me if I review and comment on the whole I-D. If my
comments are valid but do not apply to the specific revisions, I will
leave it to the chairs to decide whether to ignore them or not.

Cheers,
Adrian

----- Original Message ----- 
From: "George Swallow" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 20, 2005 9:20 PM
Subject: [mpls] One week last-last call on Soft Preemption

> During the last call on Soft Preemption, some substantial changes were
> made.  To ensure that all members of the WG are comfortable with these
> we are issue another last call.  This last call will last one week and
> is restricted to those items in the draft which changed since version
> -04.
>
> The last call ends at 2400 UTC, Monday,  June 27.
>
> Details from the ID announcement are below.
>
> ...George
>
> Title : MPLS Traffic Engineering Soft Preemption
> Author(s) : M. Meyer, et al.
> Filename : draft-ietf-mpls-soft-preemption-06.txt
> Pages : 13
> Date : 2005-6-16
>
>
========================================================================
> George Swallow             Cisco Systems                  (978)
936-1398
>                            1414 Massachusetts Avenue
>                            Boxborough, MA 01719
>
>
>
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mpls
>
>

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls